<?php

namespace Bydedi\Security;

interface UserInterface
{
    public function findByLogin($login);

    public function findById($id);

    public function getRolesNames();

    public function encryptPassword($plain);

    public function validatePassword($plain, $encrypt);

    public function isLoaded();
}
